import { format } from "date-fns-jalali";
import { useEffect, useState } from "react";
import { SimpleTable } from "../../../../components/simple-table/SimpleTable";

export const ProvinceAllocated = ({ allocated }) => {
  const [data, setData] = useState([]);

  useEffect(() => {
    const d = allocated?.map((item, i) => {
      let assignmentState;
      if (item.provinceKillRequestState === "accepted") {
        assignmentState = "تایید شده";
      } else if (item.provinceKillRequestState === "pending") {
        assignmentState =
          "در انتظار تایید و تخصیص خودرو توسط کشتارگاه می باشد.";
      } else if (item.provinceKillRequestState === "rejected") {
        assignmentState = "درخواست توسط کشتارگاه رد شده است!";
      }
      return [
        `${item.killHouseName} (${item.killHouseUserName})`,
        format(new Date(item.date), "yyyy/MM/dd"),
        item.mainQuantity?.toLocaleString(),
        item.automaticState ? "تخصیص خودکار" : "تخصیص دستی",
        assignmentState,
      ];
    });
    setData(d);
  }, []);

  return (
    <SimpleTable
      columns={["خریدار", "تاریخ کشتار", "تعداد", "نوع تخصیص", "وضعیت"]}
      data={data}
    />
  );
};
